Bug 226828 - (r278618) media/modern-media-controls/overflow-support/chapters.html is timing out since introduction
Summary: (r278618) media/modern-media-controls/overflow-support/chapters.html is timin...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-09 10:24 PDT by Truitt Savell
Modified: 2022-07-26 14:10 PDT (History)
13 users (show)

See Also:


Attachments
Patch (6.98 KB, patch)
2021-06-09 13:35 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (3.04 KB, patch)
2021-06-10 14:09 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (3.99 KB, patch)
2021-06-11 14:27 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (3.99 KB, patch)
2021-06-11 15:49 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2021-06-09 10:24:29 PDT
the new test media/modern-media-controls/overflow-support/chapters.html

added in https://trac.webkit.org/changeset/278618/webkit

is a constant timeout: https://results.webkit.org/?suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html
Comment 1 Radar WebKit Bug Importer 2021-06-09 10:24:50 PDT
<rdar://problem/79084756>
Comment 2 Devin Rousso 2021-06-09 13:35:25 PDT
Created attachment 431002 [details]
Patch
Comment 3 EWS 2021-06-09 15:42:58 PDT
Committed r278678 (238657@main): <https://commits.webkit.org/238657@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431002 [details].
Comment 5 Jonathan Bedard 2021-06-10 07:25:25 PDT
Much improved, but Debug queues still see occasional timeouts: https://results.webkit.org/?suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html
Comment 6 Devin Rousso 2021-06-10 14:09:16 PDT
Reopening to attach new patch.
Comment 7 Devin Rousso 2021-06-10 14:09:18 PDT
Created attachment 431126 [details]
Patch
Comment 8 EWS 2021-06-10 16:32:15 PDT
Committed r278739 (238701@main): <https://commits.webkit.org/238701@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431126 [details].
Comment 9 Jonathan Bedard 2021-06-11 08:40:50 PDT
Looks like we've traded timeouts for failures on debug
Comment 10 Devin Rousso 2021-06-11 14:27:17 PDT
Reopening to attach new patch.
Comment 11 Devin Rousso 2021-06-11 14:27:19 PDT
Created attachment 431232 [details]
Patch
Comment 12 Devin Rousso 2021-06-11 15:49:34 PDT
Created attachment 431237 [details]
Patch
Comment 13 EWS 2021-06-12 13:17:07 PDT
Committed r278814 (238767@main): <https://commits.webkit.org/238767@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431237 [details].
Comment 14 Truitt Savell 2021-06-29 15:08:13 PDT
It looks like the test has been fixed for release, but I am still seeing timeouts and failures for debug.

history:
https://results.webkit.org/?suite=layout-tests&test=media%2Fmodern-media-controls%2Foverflow-support%2Fchapters.html
Comment 15 Hercules Hjalmarsson 2022-07-26 13:56:54 PDT
Issue should be skipped on iOS and the timing out issue is still happening on macOS. Setting expectations and addressing issue.
Comment 16 EWS 2022-07-26 14:08:23 PDT
Test gardening commit 252842@main (8a3641cefd0d): <https://commits.webkit.org/252842@main>

Reviewed commits have been landed. Closing PR #2753 and removing active labels.
Comment 17 Hercules Hjalmarsson 2022-07-26 14:10:48 PDT
(In reply to EWS from comment #16)
> Test gardening commit 252842@main (8a3641cefd0d):
> <https://commits.webkit.org/252842@main>
> 
> Reviewed commits have been landed. Closing PR #2753 and removing active
> labels.

Removed iOS expectation for timeout in above commit. This was incorrectly set twice in https://bugs.webkit.org/show_bug.cgi?id=231187.